import request from '@/utils/request'

export function listUserExtend(query) {
  return request({
    url: '/xq/userExtend/list',
    method: 'get',
    params: query
  })
}

export function getUserExtend(id) {
  return request({
    url: '/xq/userExtend/' + id,
    method: 'get'
  })
}

export function updateIncomeCoin(data) {
  return request({
    url: '/xq/userExtend/updateIncomeCoin',
    method: 'post',
    data: data
  })
}

export function updateWxTransNum(data) {
  return request({
    url: '/xq/userExtend/updateWxTransNum',
    method: 'post',
    data: data
  })
}
